(define-module (glicid packages containers)
 #:use-module (guix download)
 #:use-module (guix packages)
 #:use-module ((guix licenses) #:prefix license:)
 #:use-module ((gnu packages containers) #:prefix gnu:)
)

(define-public podman
  (package
    (inherit gnu:podman)
    (name "podman")
    (version "4.3.0")
    (source (origin
      (method url-fetch)
      (uri (list
        (string-append "https://github.com/containers/podman/archive/refs/tags/v" version ".tar.gz")
      ))
      (sha256 (base32 "0d5zfi6drac23vb2la2v5s2g27hbz9wgiyvlxfm7hgzjh2ds18sm"))
    ))
  )
)

(define-public podman-4.2.1
  (package
    (inherit gnu:podman)
    (name "podman")
    (version "4.2.1")
    (source (origin
      (method url-fetch)
      (uri (list
        (string-append "https://github.com/containers/podman/archive/refs/tags/v" version ".tar.gz")
      ))
      (sha256 (base32 "1wqxiln5p29qq92317m7mllalgk2dy7fqrh48pd2hmcz3blh805i"))
    ))
  )
)

(define-public podman-4.2.0
  (package
    (inherit gnu:podman)
    (name "podman")
    (version "4.2.0")
    (source (origin
      (method url-fetch)
      (uri (list
        (string-append "https://github.com/containers/podman/archive/refs/tags/v" version ".tar.gz")
      ))
      (sha256 (base32 "1x5jmmz78ggnlyidc0ivcghpkysd4zkm598jjbf9gkaw09cvry0m"))
    ))
  )
)

(define-public podman-4.1.1
  (package
    (inherit gnu:podman)
    (name "podman")
    (version "4.1.1")
    (source (origin
      (method url-fetch)
      (uri (list
        (string-append "https://github.com/containers/podman/archive/refs/tags/v" version ".tar.gz")
      ))
      (sha256 (base32 "198hdf8wg50zcgrl3982yj3xd227224r7mgb135r9vmgn7lk5gr7"))
    ))
  )
)

(define-public podman-4.1.0
  (package
    (inherit gnu:podman)
    (name "podman")
    (version "4.1.0")
    (source (origin
      (method url-fetch)
      (uri (list
        (string-append "https://github.com/containers/podman/archive/refs/tags/v" version ".tar.gz")
      ))
      (sha256 (base32 "158fyxv2hd1nwirabrwxascl9lkdphhv0knwrk0qdm0ifcmf257q"))
    ))
  )
)
